import { z } from "zod";
declare const ExtensionConfigurationFileSchema: z.ZodObject<{
    config: z.ZodOptional<z.ZodObject<{
        slug: z.ZodOptional<z.ZodString>;
        ui: z.ZodOptional<z.ZodObject<{
            build: z.ZodOptional<z.ZodObject<{
                command: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                command?: string | undefined;
            }, {
                command?: string | undefined;
            }>>;
            dev: z.ZodOptional<z.ZodObject<{
                command: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                command?: string | undefined;
            }, {
                command?: string | undefined;
            }>>;
            surfaces: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            build?: {
                command?: string | undefined;
            } | undefined;
            dev?: {
                command?: string | undefined;
            } | undefined;
            surfaces?: string[] | undefined;
        }, {
            build?: {
                command?: string | undefined;
            } | undefined;
            dev?: {
                command?: string | undefined;
            } | undefined;
            surfaces?: string[] | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        slug?: string | undefined;
        ui?: {
            build?: {
                command?: string | undefined;
            } | undefined;
            dev?: {
                command?: string | undefined;
            } | undefined;
            surfaces?: string[] | undefined;
        } | undefined;
    }, {
        slug?: string | undefined;
        ui?: {
            build?: {
                command?: string | undefined;
            } | undefined;
            dev?: {
                command?: string | undefined;
            } | undefined;
            surfaces?: string[] | undefined;
        } | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    config?: {
        slug?: string | undefined;
        ui?: {
            build?: {
                command?: string | undefined;
            } | undefined;
            dev?: {
                command?: string | undefined;
            } | undefined;
            surfaces?: string[] | undefined;
        } | undefined;
    } | undefined;
}, {
    config?: {
        slug?: string | undefined;
        ui?: {
            build?: {
                command?: string | undefined;
            } | undefined;
            dev?: {
                command?: string | undefined;
            } | undefined;
            surfaces?: string[] | undefined;
        } | undefined;
    } | undefined;
}>;
export type ExtensionConfigurationFile = z.output<typeof ExtensionConfigurationFileSchema>;
declare const ExtensionConfiguration: z.ZodObject<{
    slug: z.ZodString;
    ui: z.ZodObject<{
        build: z.ZodObject<{
            command: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            command: string;
        }, {
            command: string;
        }>;
        dev: z.ZodObject<{
            command: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            command: string;
        }, {
            command: string;
        }>;
        surfaces: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        build: {
            command: string;
        };
        dev: {
            command: string;
        };
        surfaces: string[];
    }, {
        build: {
            command: string;
        };
        dev: {
            command: string;
        };
        surfaces: string[];
    }>;
}, "strip", z.ZodTypeAny, {
    slug: string;
    ui: {
        build: {
            command: string;
        };
        dev: {
            command: string;
        };
        surfaces: string[];
    };
}, {
    slug: string;
    ui: {
        build: {
            command: string;
        };
        dev: {
            command: string;
        };
        surfaces: string[];
    };
}>;
export type ExtensionConfiguration = z.output<typeof ExtensionConfiguration>;
export declare const getExtensionConfiguration: import("moize/mjs/index.mjs").Moized<(cwd: string) => Promise<ExtensionConfiguration>, Partial<{
    isDeepEqual: boolean;
    isPromise: boolean;
    isReact: boolean;
    isSerialized: boolean;
    isShallowEqual: boolean;
    matchesArg: import("moize/mjs/index.mjs").IsEqual;
    matchesKey: import("moize/mjs/index.mjs").IsMatchingKey;
    maxAge: number;
    maxArgs: number;
    maxSize: number;
    onCacheAdd: import("moize/mjs/index.mjs").OnCacheOperation<(cwd: string) => Promise<ExtensionConfiguration>>;
    onCacheChange: import("moize/mjs/index.mjs").OnCacheOperation<(cwd: string) => Promise<ExtensionConfiguration>>;
    onCacheHit: import("moize/mjs/index.mjs").OnCacheOperation<(cwd: string) => Promise<ExtensionConfiguration>>;
    onExpire: import("moize/mjs/index.mjs").OnExpire;
    profileName: string;
    serializer: import("moize/mjs/index.mjs").Serialize;
    transformArgs: import("moize/mjs/index.mjs").TransformKey;
    updateCacheForKey: import("moize/mjs/index.mjs").UpdateCacheForKey;
    updateExpire: boolean;
}> & {
    isPromise: true;
}>;
export {};
//# sourceMappingURL=utils.d.ts.map